/*
 Copyright (c) 2020 gematik GmbH

 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.
 */
package de.gematik.ti.sgd.server.util;

import org.springframework.util.ResourceUtils;

import java.io.File;
import java.io.IOException;

public class ClasspathFileUtil {
    public static File getFileFromFilesystemOrClasspath(String path) {
        if (path == null) {
            return null;
        } else if (path.startsWith("classpath:")) {
            try {
                return ResourceUtils.getFile(path);
            } catch (IOException e) {
                throw new RuntimeException(e);
            }
        } else {
            return new File(path);
        }
    }
}
